---
title: Subscription Hooks
description: Hooks for customizing subscription flows and payments
date: 2024-01-31
---

## Filters

### woonoow_pre_process_subscription_payment

Intercept the subscription payment process before it begins.

**Parameters:**
*   `$result` (null|mixed): Return non-null to short-circuit the process.
*   `$subscription` (WC_Subscription): The subscription object.
*   `$order` (WC_Order): The renewal order.

### woonoow_process_subscription_payment

Modify or handle the payment processing via a custom gateway logic.

**Parameters:**
*   `$result` (null|bool): The result of the payment.
*   `$gateway` (object): The payment gateway instance.
*   `$order` (WC_Order): The order being paid.
*   `$subscription` (WC_Subscription): The subscription object.
